<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/serialization/expansionsettingserializationint.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d92/a00887_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionsettingserializationint.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d92/a00887.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionSettingSerializationInt.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../dc/da0/a04446.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dc/da0/a04446.html">ExpansionSettingSerializationInt</a>: <a class="code hl_class" href="../../d7/dad/a04438.html">ExpansionSettingSerializationBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../dc/da0/a04446.html#a2996d855a15014e2f2b385dfcc38f09e">   15</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dc/da0/a04446.html#a2996d855a15014e2f2b385dfcc38f09e">m_TempValue</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../dc/da0/a04446.html#a97aba00acc9e29633bbaa5477c94441b">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/da0/a04446.html#a97aba00acc9e29633bbaa5477c94441b">SetTempValue</a>( <span class="keywordtype">int</span> value )</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../dc/da0/a04446.html#a2996d855a15014e2f2b385dfcc38f09e">m_TempValue</a> = value;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_variable" href="../../d7/dad/a04438.html#a1a3c7e1f4fdff16860e438167ba72631">m_IsTempSet</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../dc/da0/a04446.html#ac71ed5cfc8a273dceaaa65ea6802ecaf">   23</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/da0/a04446.html#ac71ed5cfc8a273dceaaa65ea6802ecaf">SetFromTemp</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        super.SetFromTemp();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_function" href="../../dc/da0/a04446.html#a025e713c2daacda7ce5800729833a095">SetValue</a>( <a class="code hl_variable" href="../../dc/da0/a04446.html#a2996d855a15014e2f2b385dfcc38f09e">m_TempValue</a> );</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../dc/da0/a04446.html#ace47ac827c2b239d50d0fbe2cea35cc7">   30</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../dc/da0/a04446.html#ace47ac827c2b239d50d0fbe2cea35cc7">GetValue</a>()</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordtype">int</span> value;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_function" href="../../d7/dad/a04438.html#a779494013abc31aab299d0a0cfe0612b">FindClassInstanceAndVariable</a>();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        EnScript.GetClassVar( <a class="code hl_variable" href="../../d7/dad/a04438.html#a5ae16ae5de411d9db535d52f1bfe8862">m_ActualInstance</a>, <a class="code hl_variable" href="../../d7/dad/a04438.html#ad59a53a48dff625122c153a94136a1e8">m_ActualVariable</a>, 0, value );</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">return</span> value;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../dc/da0/a04446.html#a025e713c2daacda7ce5800729833a095">   41</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/da0/a04446.html#a025e713c2daacda7ce5800729833a095">SetValue</a>( <span class="keywordtype">int</span> value )</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_function" href="../../d7/dad/a04438.html#a779494013abc31aab299d0a0cfe0612b">FindClassInstanceAndVariable</a>();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        EnScript.SetClassVar( <a class="code hl_variable" href="../../d7/dad/a04438.html#a5ae16ae5de411d9db535d52f1bfe8862">m_ActualInstance</a>, <a class="code hl_variable" href="../../d7/dad/a04438.html#ad59a53a48dff625122c153a94136a1e8">m_ActualVariable</a>, 0, value );</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        GetGame().GameScript.Call( <a class="code hl_variable" href="../../d7/dad/a04438.html#af67fc2236a1e2967bfc67dd21fba464a">m_Instance</a>, <span class="stringliteral">&quot;OnSettingsUpdated&quot;</span>, <span class="keyword">new</span> Param2&lt; typename, ExpansionSettingSerializationBase &gt;( Type(), <span class="keyword">this</span> ) );</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>};</div>
<div class="ttc" id="aa04438_html"><div class="ttname"><a href="../../d7/dad/a04438.html">ExpansionSettingSerializationBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/a00881_source.html#l00013">expansionsettingserializationbase.c:14</a></div></div>
<div class="ttc" id="aa04438_html_a1a3c7e1f4fdff16860e438167ba72631"><div class="ttname"><a href="../../d7/dad/a04438.html#a1a3c7e1f4fdff16860e438167ba72631">ExpansionSettingSerializationBase::m_IsTempSet</a></div><div class="ttdeci">bool m_IsTempSet</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/a00881_source.html#l00028">expansionsettingserializationbase.c:28</a></div></div>
<div class="ttc" id="aa04438_html_a5ae16ae5de411d9db535d52f1bfe8862"><div class="ttname"><a href="../../d7/dad/a04438.html#a5ae16ae5de411d9db535d52f1bfe8862">ExpansionSettingSerializationBase::m_ActualInstance</a></div><div class="ttdeci">Class m_ActualInstance</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/a00881_source.html#l00023">expansionsettingserializationbase.c:23</a></div></div>
<div class="ttc" id="aa04438_html_a779494013abc31aab299d0a0cfe0612b"><div class="ttname"><a href="../../d7/dad/a04438.html#a779494013abc31aab299d0a0cfe0612b">ExpansionSettingSerializationBase::FindClassInstanceAndVariable</a></div><div class="ttdeci">protected bool FindClassInstanceAndVariable()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/a00881_source.html#l00045">expansionsettingserializationbase.c:45</a></div></div>
<div class="ttc" id="aa04438_html_ad59a53a48dff625122c153a94136a1e8"><div class="ttname"><a href="../../d7/dad/a04438.html#ad59a53a48dff625122c153a94136a1e8">ExpansionSettingSerializationBase::m_ActualVariable</a></div><div class="ttdeci">string m_ActualVariable</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/a00881_source.html#l00024">expansionsettingserializationbase.c:24</a></div></div>
<div class="ttc" id="aa04438_html_af67fc2236a1e2967bfc67dd21fba464a"><div class="ttname"><a href="../../d7/dad/a04438.html#af67fc2236a1e2967bfc67dd21fba464a">ExpansionSettingSerializationBase::m_Instance</a></div><div class="ttdeci">Class m_Instance</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/a00881_source.html#l00021">expansionsettingserializationbase.c:21</a></div></div>
<div class="ttc" id="aa04446_html"><div class="ttname"><a href="../../dc/da0/a04446.html">ExpansionSettingSerializationInt</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d92/a00887_source.html#l00013">expansionsettingserializationint.c:14</a></div></div>
<div class="ttc" id="aa04446_html_a025e713c2daacda7ce5800729833a095"><div class="ttname"><a href="../../dc/da0/a04446.html#a025e713c2daacda7ce5800729833a095">ExpansionSettingSerializationInt::SetValue</a></div><div class="ttdeci">void SetValue(int value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d92/a00887_source.html#l00041">expansionsettingserializationint.c:41</a></div></div>
<div class="ttc" id="aa04446_html_a2996d855a15014e2f2b385dfcc38f09e"><div class="ttname"><a href="../../dc/da0/a04446.html#a2996d855a15014e2f2b385dfcc38f09e">ExpansionSettingSerializationInt::m_TempValue</a></div><div class="ttdeci">int m_TempValue</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d92/a00887_source.html#l00015">expansionsettingserializationint.c:15</a></div></div>
<div class="ttc" id="aa04446_html_a97aba00acc9e29633bbaa5477c94441b"><div class="ttname"><a href="../../dc/da0/a04446.html#a97aba00acc9e29633bbaa5477c94441b">ExpansionSettingSerializationInt::SetTempValue</a></div><div class="ttdeci">void SetTempValue(int value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d92/a00887_source.html#l00017">expansionsettingserializationint.c:17</a></div></div>
<div class="ttc" id="aa04446_html_ac71ed5cfc8a273dceaaa65ea6802ecaf"><div class="ttname"><a href="../../dc/da0/a04446.html#ac71ed5cfc8a273dceaaa65ea6802ecaf">ExpansionSettingSerializationInt::SetFromTemp</a></div><div class="ttdeci">override void SetFromTemp()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d92/a00887_source.html#l00023">expansionsettingserializationint.c:23</a></div></div>
<div class="ttc" id="aa04446_html_ace47ac827c2b239d50d0fbe2cea35cc7"><div class="ttname"><a href="../../dc/da0/a04446.html#ace47ac827c2b239d50d0fbe2cea35cc7">ExpansionSettingSerializationInt::GetValue</a></div><div class="ttdeci">int GetValue()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d92/a00887_source.html#l00030">expansionsettingserializationint.c:30</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_f7c621fee0a2c32a175ba0589ac46b9f.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_9ddfc87c5f9b9fe1ae81092761181e6d.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_e90117d73e9d0eb1b3bd7f5b9cb3d8c1.html">serialization</a></li><li class="navelem"><a class="el" href="../../d7/d92/a00887.html">expansionsettingserializationint.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
